Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.archive.queue
Class QueueTestBase

    java.lang.Object
      junit.framework.Assert
          junit.framework.TestCase
              org.archive.util.TmpDirTestCase
                  org.archive.queue.QueueTestBase

All Implemented Interfaces:
  junit.framework.Test

    public abstract class QueueTestBase

extends TmpDirTestCase

JUnit test suite for Queue. It's an abstract class which is implemented by each queue implementation

Version:
  $Id: QueueTestBase.java 4645 2006-09-22 16:08:03Z paul_jack $
Author:
  James Casey

Field Summary
`protected Queue<java.lang.Object>` | `queue` the queue object to be tested

Constructor Summary
`QueueTestBase(java.lang.String testName)` Create a new PaddingStringBufferTest object

Method Summary
`protected abstract Queue<java.lang.Object>` | `makeQueue()` The abstract subclass constructor.
`void` | `setUp()`
`void` | `tearDown()`
`void` | `testDequeue()` test that dequeue works
`void` | `testDequeueEmptyQueue()` check what happens we dequeue on empty
`void` | `testQueue()` test that queue puts things on, and they stay there :)

Methods inherited from class org.archive.util.TmpDirTestCase
`cleanUpOldFiles, cleanUpOldFiles, getTmpDir`

Methods inherited from class junit.framework.TestCase
`countTestCases, createResult, getName, run, run, runBare, runTest, setName, toString`

Methods inherited from class junit.framework.Assert
`assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertFalse, assertFalse, assertNotNull, assertNotNull, assertNotSame, assertNotSame, assertNull, assertNull, assertSame, assertSame, assertTrue, assertTrue, fail, fail, failNotEquals, failNotSame, failSame`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### queue

    protected Queue<java.lang.Object> queue

  the queue object to be tested

Constructor Detail

### QueueTestBase

    public QueueTestBase(java.lang.String testName)

  Create a new PaddingStringBufferTest object

  Parameters:
    `testName` - the name of the test

Method Detail

### setUp

    public void setUp()
               throws java.lang.Exception

  Overrides:
    `setUp` in class `TmpDirTestCase`
  Throws:
    `java.lang.Exception`

### tearDown

    public void tearDown()

  Overrides:
    `tearDown` in class `junit.framework.TestCase`

### makeQueue

    protected abstract Queue<java.lang.Object> makeQueue()

  The abstract subclass constructor. The subclass should create an instance of the object it wishes to have tested

  Returns:
    the Queue object to be tested

### testQueue

    public void testQueue()

  test that queue puts things on, and they stay there :)

### testDequeue

    public void testDequeue()

  test that dequeue works

### testDequeueEmptyQueue

    public void testDequeueEmptyQueue()

  check what happens we dequeue on empty

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2008 Internet Archive. All Rights Reserved.